<?php
/**
 * Copyright © 2016 Magento. All rights reserved.
 * See COPYING.txt for license details.
 */

// @codingStandardsIgnoreFile

namespace Module\Agilecrm\Helper;

use Magento\Store\Model\Store;

/**
 * GoogleAnalytics data helper
 *
 */
class Data extends \Magento\Framework\App\Helper\AbstractHelper
{
    /**
     * Config paths for using throughout the code
     */
    const XML_PATH_SITE = 'agilesettings/analytics/domainname';
    const XML_PATH_API_KEY = 'agilesettings/analytics/jsapikey';
    const XML_PATH_SYNC_CUSTOMERS = 'agilesettings/settings/synccontacts';
    const XML_PATH_SYNC_ORDERS = 'agilesettings/settings/addorderstocontact';
    const XML_PATH_WEB_RULES = 'agilesettings/settings/webrules';
    const XML_PATH_TRACK_VISITORS = 'agilesettings/settings/logcustomer';
    const XML_PATH_REST_API = 'agilesettings/analytics/restapi';
    const XML_PATH_EMAIL_ID = 'agilesettings/analytics/emailid';
    const XML_PATH_IMPORT_CUSTOMERS = 'agilesettings/settings/importcustomers';
    /**
     * Whether GA is ready to use
     *
     * @param null|string|bool|int|Store $store
     * @return bool
     */
    public function isagilecrmAvailable($store = null)
    {
        $domain = $this->scopeConfig->getValue(self::XML_PATH_SITE, \Magento\Store\Model\ScopeInterface::SCOPE_STORE, $store);
         $apikey = $this->scopeConfig->getValue(self::XML_PATH_API_KEY, \Magento\Store\Model\ScopeInterface::SCOPE_STORE, $store);
        return $domain && $this->scopeConfig->getValue(self::XML_PATH_SYNC_CUSTOMERS, \Magento\Store\Model\ScopeInterface::SCOPE_STORE, $store);
    }
    public function isagilecrmpostdomain($store = null)
    {
          $domain = $this->scopeConfig->getValue(self::XML_PATH_SITE, \Magento\Store\Model\ScopeInterface::SCOPE_STORE, $store);
           return $domain;
    }
    public function isagilecrmpostapikey($store = null)
    {
          $apikey = $this->scopeConfig->getValue(self::XML_PATH_API_KEY, \Magento\Store\Model\ScopeInterface::SCOPE_STORE, $store);
           return $apikey;
    }
    public function isagilecrmsyncustomer($store = null)
    {
          $synccustomer = $this->scopeConfig->getValue(self::XML_PATH_SYNC_CUSTOMERS, \Magento\Store\Model\ScopeInterface::SCOPE_STORE, $store);
           return $synccustomer;
    }
    public function isagilecrmsyncorder($store = null)
    {
          $syncorders = $this->scopeConfig->getValue(self::XML_PATH_SYNC_ORDERS, \Magento\Store\Model\ScopeInterface::SCOPE_STORE, $store);
           return $syncorders;
    }
    public function isagilecrmrestapi($store = null)
    {
          $restapi = $this->scopeConfig->getValue(self::XML_PATH_REST_API, \Magento\Store\Model\ScopeInterface::SCOPE_STORE, $store);
           return $restapi;
    }
    public function isagilecrmoweremailid($store = null)
    {
          $oweremailid = $this->scopeConfig->getValue(self::XML_PATH_EMAIL_ID, \Magento\Store\Model\ScopeInterface::SCOPE_STORE, $store);
           return $oweremailid;
    }
    public function isagilecrmimportcustomers($store = null)
    {
          $importcustomers = $this->scopeConfig->getValue(self::XML_PATH_IMPORT_CUSTOMERS, \Magento\Store\Model\ScopeInterface::SCOPE_STORE, $store);
           return $importcustomers;
    }
}
